# $Revision: 1.43 $, $Date: 2002/11/05 09:03:26 $
Summary:	Direct Connect Text Client
Summary(pl):	Tekstowy klient Direct Connect
Name:		dctc
Version:	0.83.7
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://ac2i.tzo.com/dctc/%{name}-%{version}.tar.gz
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-gcc2.patch
URL:		http://ac2i.tzo.com/dctc/
BuildRequires:	pkgconfig
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DCTC is a Direct Connect clone, a Windows client allowing users to
share their files and talk (like IRC but more software sharing
oriented) using a proprietary protocol.

%description -l pl
DCTC jest klonem Direct Connect, windowsowego klienta pozwalajcego
uytkonikom dzieli pliki i rozmawia (podobnie do IRC-a, ale w sposb
bardziej zorientowany na dzielenie oprogramowania) uywajc wasnego
protokou.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc KNOWN_BUGS TODO README ChangeLog Documentation/* Documentation/*/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dctc.spec,v $
Revision 1.43  2002/11/05 09:03:26  pascalek
- updated to 0.83.7

Revision 1.42  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.41  2002/10/06 18:16:04  mmazur
- added missing man

Revision 1.40  2002/10/05 19:05:49  mmazur
- updated to 0.83.5; STBR

Revision 1.39  2002/08/26 05:44:29  pascalek
- updated to 0.83.3

Revision 1.38  2002/07/29 07:49:40  jojoro
- updated to 0.83.2

Revision 1.37  2002/06/17 11:06:56  jojoro
- new bugfixed version 0.83.1
- STBR

Revision 1.36  2002/06/09 15:02:31  jojoro
- updated to 0.83.0

Revision 1.35  2002/06/03 09:19:37  pascalek
- Release 2, home_etc patch added

Revision 1.34  2002/05/28 15:44:09  jojoro
- update to 0.82

Revision 1.33  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.32  2002/05/13 22:49:50  jojoro

- updated to 0.81

Revision 1.31  2002/05/11 06:24:00  misiek
- updated to 0.80.5

Revision 1.30  2002/04/25 16:09:54  arturs
fixed a small typo

Revision 1.29  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/03/24 22:57:33  misiek
- updated to 0.76.0

Revision 1.27  2002/03/23 05:21:16  kloczek
- updated to 0.75.0.

Revision 1.26  2002/03/11 02:27:24  jack
Updated to 0.74 dctc and 0.48 dc_gui - build and work ok

Revision 1.25  2002/03/05 20:36:15  jack
Updated to 0.73.0 - builds and works fine.

Revision 1.24  2002/02/28 17:27:39  jack
Updated - builds and works.

Revision 1.23  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/19 06:34:16  kloczek
- updated to 0.71.1.

Revision 1.21  2002/02/09 18:40:56  kloczek
- updated to 0.70.0 (bugfix release).

Revision 1.20  2002/02/03 14:50:20  misiek
- updated to 0.69

Revision 1.19  2002/01/28 06:44:22  kloczek
- updated to 0.68.0 (mainly bugfix release).

Revision 1.18  2002/01/20 12:21:47  misiek
- updated to 0.67

Revision 1.17  2002/01/18 02:12:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/13 11:27:03  kloczek
- cosmetics.

Revision 1.15  2002/01/13 10:39:49  misiek
- updated to 0.66

Revision 1.14  2002/01/06 11:44:12  misiek
- update to 0.65.0 (more and more fixes)

Revision 1.13  2002/01/05 23:24:56  misiek
- updated to 0.64 (bugfixes)

Revision 1.12  2001/12/20 02:09:12  misiek
- added shared dirs patch

Revision 1.11  2001/12/20 01:55:08  misiek
- updated to 0.62.0 (am/ac ready; bugfixes)

Revision 1.10  2001/12/09 04:01:17  kloczek
- simplifications.

Revision 1.9  2001/12/09 01:08:20  adasi
- erased XFree86-libs BuildRequires (it does not use it)

Revision 1.8  2001/12/02 14:37:56  fastviper
- Compile using make nomakedepend
- Add patch to force PLD-style CFLAGS and CC
- Now compiles for i686 when -march=i686 used in CFLAGS

Revision 1.7  2001/12/01 15:20:10  grzegorz
- updated to 0.60
- please somebody check why compilation goes with -march=i586 on i686 arch

Revision 1.6  2001/11/21 15:53:31  qboosh
- pl description

Revision 1.5  2001/11/09 10:32:33  grzegorz
- added summary and description

Revision 1.4  2001/11/08 12:14:56  grzegorz
- update to 0.59, STBR

Revision 1.3  2001/10/22 06:42:15  ankry
- fixed URL, added source URL

Revision 1.2  2001/10/21 14:22:13  grzegorz
- added BuildRequires: XFree86-devel glib-devel
- update to 0.58
- more docs gziped

Revision 1.2  2001/10/19 06:48:25  pascalek
- BuildRequires removed

Revision 1.1  2001/10/19 06:45:58  pascalek
- initial revision
